[debian-edu-commits] r80024 - in branches/wheezy/debian-edu-config: debian share/debian-edu-config/tools

pere at alioth.debian.org pere at alioth.debian.org
Wed May 8 14:11:53 UTC 2013


Author: pere
Date: 2013-05-08 14:11:53 +0000 (Wed, 08 May 2013)
New Revision: 80024

Added:
   branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian
Modified:
   branches/wheezy/debian-edu-config/debian/changelog
Log:
Add new tool/example bless-debian, demonstrating how to transform
a Debian machine into a Debian Edu machine.

Modified: branches/wheezy/debian-edu-config/debian/changelog
===================================================================
--- branches/wheezy/debian-edu-config/debian/changelog	2013-05-08 10:25:36 UTC (rev 80023)
+++ branches/wheezy/debian-edu-config/debian/changelog	2013-05-08 14:11:53 UTC (rev 80024)
@@ -5,6 +5,8 @@
     workstation configuration.
   * Fix typo in error reporting in the taskpkgs testsuite check, and
     add support for checking the Minimal profile there.
+  * Add new tool/example bless-debian, demonstrating how to transform
+    a Debian machine into a Debian Edu machine.
 
  -- Petter Reinholdtsen <pere at debian.org>  Wed, 08 May 2013 11:17:25 +0200
 

Added: branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian
===================================================================
--- branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian	                        (rev 0)
+++ branches/wheezy/debian-edu-config/share/debian-edu-config/tools/bless-debian	2013-05-08 14:11:53 UTC (rev 80024)
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+# This is an example script that explain what need to be done to
+# transform a freshly installed Debian machine (hopefully without any
+# of the Debian Edu related packages already installed) to a Debian
+# Edu client.  The packages that was already installed before running
+# this script might not get the configuration they would have in a
+# normal Debian Edu installation, due to preseeding happening too
+# late.
+#
+# This script must run as root.
+
+set -e
+
+# 0. Install etckeeper, to keep track of changes in /etc/ (optional,
+#    highly recommended)
+apt-get install -y etckeeper
+
+# 1. Add skolelinux related APT sources.
+apt-get install -y debian-edu-archive-keyring
+cat <<EOF >/etc/apt/sources.list.d/debian-edu
+deb http://ftp.skolelinux.org/skolelinux wheezy-test local
+deb-src http://ftp.skolelinux.org/skolelinux wheezy-test local
+EOF
+
+# 2. Create /etc/debian-edu/config, for example like this:
+mkdir -p /etc/debian-edu
+cat <<EOF > /etc/debian-edu/config
+# Any version string will do, just copy the latest one from an existing
+# installation.
+VERSION="7.0.0+edua0"
+# Or any other profile you want to install
+PROFILE="Workstation"
+# Language selectoins
+LANGCODE="nb_NO:nb:no_NO:no:nn_NO:nn:da:sv:en"
+LOCALE="nb_NO.UTF-8"
+# Should the test suite run after first boot or not?
+TESTINSTALL="true"
+EOF
+
+# 3. Install debian-edu-install to load preseeding values and pull in
+#    our configuration..
+apt-get install -y debian-edu-install
+
+# 4. Run tasksel to install packages according to the profile specified
+#    in the config above
+# FIXME should divert /usr/lib/tasksel/tests/desktop and new-install
+# during the tasksel run to avoid having to manually deselect a few
+# options.
+tasksel --new-install
+
+# 5. Run cfengine to configure everything that could not be done using
+#    preseeding.
+cfengine-debian-edu -D installation
+etckeeper commit "/etc/ state after running cfengine-debian-edu."
+
+# 6. Reboot
+echo "It is now time to reboot. For example by running
+echo "  shutdown -r now 'Into the great wide open'"
+exit 0




More information about the debian-edu-commits mailing list